Mail

Mail

Automatically added from OpenAPI sync.

List sent emails

GET /v1/emails
invoices.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

None

Response
data array
id string
subject string
status string
delivered_at string
opened_at string
clicked_at string
open_count integer
click_count integer
created_at string
meta object

Examples

GET /v1/emails
curl -X GET "https://api.appficient.nl/v1/emails" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Retrieve a sent email

GET /v1/emails/{id}
invoices.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body

None

Response
data object
id string
subject string
status string
delivered_at string
opened_at string
clicked_at string
open_count integer
click_count integer
created_at string
meta object

Examples

GET /v1/emails/{id}
curl -X GET "https://api.appficient.nl/v1/emails/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

List mail templates

GET /v1/mail-templates
invoices.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

None

Response
data array
type string
title string
subject string
meta object

Examples

GET /v1/mail-templates
curl -X GET "https://api.appficient.nl/v1/mail-templates" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.